---
search:
  tags:
    - Channels V2
    - PATCH
seo:
  description: >-
    Bulk-patches channels by id. Successful entities are… Reference for the
    PATCH /api/v2/{team_slug}/{app_slug}/channels endpoint in the Management API
    v2.
sidebar:
  label: Update channels
  badge: PATCH
title: Update channels
type: openapi-operation
---
Bulk-patches channels by id. Successful entities are returned in data; per-item failures in errors.

`PATCH /api/v2/{team_slug}/{app_slug}/channels`

**Request body** (`application/json`, required)

- `channels` (PatchChannelItem[], required)

Request body example:

```json
{
  "channels": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "market_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "description": "string",
      "active": true,
      "publishing_rule_id": "125a9b9d-2f65-4f23-bbd5-4b05bec210bd"
    }
  ]
}
```

**Responses**

- `200` — Patched (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "store_group": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "slug": "string"
      },
      "markets": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string"
        }
      ],
      "description": "string",
      "active": true,
      "publishing_rule_id": "125a9b9d-2f65-4f23-bbd5-4b05bec210bd",
      "effective_publishing_rule": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "is_default": true,
        "minimum_images": 0,
        "should_have_price": true,
        "should_have_product_name": true,
        "should_have_brand": true,
        "should_have_description": true,
        "should_have_category": true,
        "should_have_main_category": true,
        "updated_at": "2019-08-24T14:15:22Z",
        "created_at": "2019-08-24T14:15:22Z"
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "slug": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
